> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a parser

> Fetch the parser configuration as JSON by unique ID.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-async-parsing.json get /async-parsing/parsers/{id}
openapi: 3.0.1
info:
  title: Fusion Async Parsing API
  description: >-
    The Async Parsing CRUD API provides async parsing services for parsers. It
    replaces the Parsers API.


    To configure an index pipeline to use a specific parser, see the Index
    Pipelines API.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Failed Documents API
    description: >-
      Endpoints to get details about and remove documents that failed the
      parsing process.
  - name: Parsers CRUD API
    description: Endpoints to perform Create-Read-Update-Delete operations on parsers.
  - name: Parsers Schema API
    description: Endpoints to get the schema of parsers.
  - name: Async Parsing API
    description: Endpoints to indexation with asynchronous parsing
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /async-parsing/parsers/{id}:
    get:
      tags:
        - Parsers CRUD API
      summary: Get a parser
      description: Fetch the parser configuration as JSON by unique ID.
      operationId: getEntity
      parameters:
        - name: id
          description: The ID of the parser to fetch.
          in: path
          required: true
          schema:
            type: string
          example: solr-update-parser
        - name: context
          description: >-
            Validates which app the entity should be part of by specifying, for
            example, `app:SomeApp`. If the entity is not part of the app, this
            request fails.  Any other comma-separated contexts in the context
            parameter are allowed but ignored.
          in: query
          required: false
          schema:
            type: string
          example: app:api-test-app
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ParserConfig'
              example:
                id: solr-update-parser
                enableMediaTypeDetection: true
                detectMediaTypeBasedOnExtension: true
                maxParserDepth: 16
                maxFieldLength: -1
                parserStages:
                  - type: solr-update
                    enabled: true
                    mediaTypes: []
                    pathPatterns: []
                    errorHandling: mark
                    id: 0a61cc5c-aa0c-4e1a-8099-2c5d30d64996
                    enableXml: true
                    enableJson: true
                    enableCsv: true
                    inheritMediaTypes: true
                    ignoredMediaTypes: []
                    outputFieldPrefix: ''
components:
  schemas:
    ParserConfig:
      type: object
      properties:
        id:
          type: string
        idField:
          type: string
        enableMediaTypeDetection:
          type: boolean
        detectMediaTypeBasedOnExtension:
          type: boolean
        maxParserDepth:
          type: integer
          format: int32
        maxFieldLength:
          type: integer
          format: int32
        parserStages:
          type: array
          items:
            $ref: '#/components/schemas/ParserStageConfig'
    ParserStageConfig:
      required:
        - type
      type: object
      properties:
        label:
          type: string
        enabled:
          type: boolean
        mediaTypes:
          type: array
          items:
            type: string
        pathPatterns:
          type: array
          items:
            $ref: '#/components/schemas/SyntaxAndPattern'
        errorHandling:
          type: string
          enum:
            - ignore
            - log
            - fail
            - mark
        id:
          type: string
        inheritMediaTypes:
          type: boolean
        ignoredMediaTypes:
          type: array
          items:
            type: string
        outputFieldPrefix:
          type: string
        type:
          type: string
      discriminator:
        propertyName: type
    SyntaxAndPattern:
      type: object
      properties:
        syntax:
          type: string
          enum:
            - glob
            - regex
        pattern:
          type: string

````